=== debian/changelog ===
python-cogapp (3.3.0-3) unstable; urgency=medium

  * Sourceless upload to make buildd happy

 -- Dima Kogan <dkogan@debian.org>  Thu, 14 Sep 2023 09:35:19 -0700

python-cogapp (3.3.0-2) unstable; urgency=medium

  * Added copyright statement for debian/*

 -- Dima Kogan <dkogan@debian.org>  Sat, 19 Aug 2023 21:10:58 -0700

python-cogapp (3.3.0-1) unstable; urgency=medium

  * New release into Debian (Closes: #1032809)

 -- Dima Kogan <dkogan@debian.org>  Tue, 18 Jul 2023 21:37:02 -0700
