=== debian/control ===
Source: python-cogapp
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-setuptools
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.6.1
Homepage: https://github.com/nedbat/cog
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cogapp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cogapp

Package: python3-cogapp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: cog content generation tool
 Cog is a file generation tool. It lets you use pieces of Python code as
 generators in your source files to generate whatever text you need.
 .
 Cog transforms files in a very simple way: it finds chunks of Python code
 embedded in them, executes the Python code, and inserts its output back into
 the original file. The file can contain whatever text you like around the
 Python code. It will usually be source code.
