=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cogapp
%:
	dh $@ --with python3 --buildsystem=pybuild

# There's already a /usr/bin/cog in the Debian archive, so I rename this to
# "cogapp"
override_dh_auto_install:
	dh_auto_install
	mv debian/python3-cogapp/usr/bin/cog debian/python3-cogapp/usr/bin/cogapp

# The test suite is currently broken
override_dh_auto_test:
	true
