=== debian/changelog ===
python-cogapp (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sun, 22 Dec 2024 18:12:09 -0800
