=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all-dev,
-               python3-setuptools
+               python3-setuptools,
+               pybuild-plugin-pyproject
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.6.1
