## python-cogapp 3.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 # Makefile for cog work.
+
+# A command to get the current version from cogapp.py
+VERSION := $$(python -c "import cogapp.cogapp; print(cogapp.cogapp.__version__)")
 
 .PHONY: help clean sterile test
 
@@ -28,19 +31,24 @@
 
 # Docs
 
-.PHONY: cogdoc dochtml
+.PHONY: cogdoc lintdoc dochtml
+
+# Normally I'd put this in a comment in index.px, but the
+# quoting/escaping would be impossible.
+COGARGS = -cP --markers='{{{cog }}} {{{end}}}' docs/running.rst
 
 cogdoc:			## Run cog to keep the docs correct.
-	# Normally I'd put this in a comment in index.px, but the
-	# quoting/escaping would be impossible.
-	python -m cogapp -crP --markers='{{{cog }}} {{{end}}}' docs/running.rst
+	python -m cogapp -r $(COGARGS)
+
+lintdoc:		## Check that the docs are up-to-date.
+	@python -m cogapp --check --check-fail-msg='Docs need to be updated: `make cogdoc`' --diff $(COGARGS)
 
 dochtml:		## Build local docs.
 	$(MAKE) -C docs html
 
 # Release
 
-.PHONY: dist pypi testpypi check_release
+.PHONY: dist pypi testpypi tag release check_release _check_credentials _check_manifest _check_tree _check_version
 
 dist:			## Build distribution artifacts.
 	python -m build
@@ -52,8 +60,33 @@
 testpypi:		## Upload distributions to test PyPI
 	twine upload --verbose --repository testpypi --password $$TWINE_TEST_PASSWORD dist/*
 
-check_release: _check_manifest ## Check that we are ready for a release
+tag:			## Make a git tag with the version number
+	git tag -s -m "Version $(VERSION)" v$(VERSION)
+	git push --all
+
+release: _check_credentials clean check_release dist pypi tag ## Do all the steps for a release
+	@echo "Release $(VERSION) complete!"
+
+check_release: clean dist _check_manifest _check_tree _check_version ## Check that we are ready for a release
 	@echo "Release checks passed"
+
+_check_credentials:
+	@if [[ -z "$$TWINE_PASSWORD" ]]; then \
+		echo 'Missing TWINE_PASSWORD'; \
+		exit 1; \
+	fi
 
 _check_manifest:
 	python -m check_manifest
+
+_check_tree:
+	@if [[ -n $$(git status --porcelain) ]]; then \
+		echo 'There are modified files! Did you forget to check them in?'; \
+		exit 1; \
+	fi
+
+_check_version:
+	@if git tag | grep -q -w v$(VERSION); then \
+		echo 'A git tag for this version exists! Did you forget to bump the version?'; \
+		exit 1; \
+	fi
