=== debian/changelog ===
python-cogapp (3.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 02 Jan 2026 11:11:09 -0800
